1. HOM Gym
My Project
  • 🐶 Walk through Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • API
    • V1
      • Vendor
        • Purchase
          • List
          • Store
      • Test protected
  • Campaigns
    • API
      • V1
        • Auth
          • Register
          • Login
          • Logout
        • User
          • Campaign
            • List
            • Store
            • Show
            • Update
            • Delete
        • Campaigns
          • List
          • Detail
          • Donate
          • Donatur list
        • Image
          • Upload Images
          • Delete
  • HOM Gym
    • Login
      POST
    • Upload file
      POST
  • Schemas
    • Sample Schemas
      • Success response
      • Pet
      • Category
      • Tag
  1. HOM Gym

Login

Developing
POST
https://api-dev.homgym.my.id/cms/v1/auth/login

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-dev.homgym.my.id/cms/v1/auth/login' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "admin@mail.com",
    "password": "password"
}'
Response Response Example
{}
Modified at 2025-09-03 22:11:36
Previous
Delete
Next
Upload file
Built with